> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/shi-jian/graniteevent.md).

# graniteEvent

### 功能说明

订阅系统返回·Home 按钮事件。

* `backEvent` — 当发生 Android 返回等后退导航时
* `homeEvent` — 当返回首页时

### 类型

```ts
graniteEvent.addEventListener(
  event: "backEvent" | "homeEvent",
  args: { onEvent: () => void; onError?: (error: Error) => void },
): () => void;
```

**参数**

* `event` — 这是要订阅的事件。 `backEvent`(Android 返回键等后退导航), `homeEvent`（返回首页）之一。
* `args.onEvent: () => void` — 发生事件时会被调用。
* `args.onError?: (error: Error) => void` — 在订阅处理过程中发生错误时会被调用。

**响应**

返回取消订阅的函数 `() => void`。调用后会移除监听器。

### 示例代码

```js
import { graniteEvent } from "@apps-in-toss/web-framework";

const unsubscribe = graniteEvent.addEventListener("backEvent", {
  onEvent: () => {
    console.log("返回键触发");
  },
});

// 取消订阅
unsubscribe();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/shi-jian/graniteevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
